;==============;
;Powerup Cycle ;
;==============;

;Description: When placed in a level near Mario's entrance, this 
;sprite will allow him to cycle through powerups.

dcb "INIT"
	RTL

dcb "MAIN"
	LDA $16  ;\
	AND #$08 ; | If pressing up, branch.
	BNE Up   ;/
	LDA $16  ;\
	AND #$04 ; | If pressing down, branch.
	BNE Down ;/
	RTL
Up:
	LDA $19
	CMP #$03 ; If going beyond 3 ..
	BCS Recycle ; Recycle.
	INC $19
	RTL
Recycle:
	STZ $19
	RTL
Down:
	LDA $19
	BEQ Recycle2 ; If negative, make fiery.
	DEC $19
	RTL
Recycle2:
	LDA #$03
	STA $19
	RTL